# @tecnavia/react-native-web-analytics

track events and screen to web Firebase or GA4 properties

## Installation

```sh
npm install git+https://ussvc01.newsmemory.com:3000/tecnavia/react-native-web-analytics.git#tag --save
```

## Usage

```js
import analytics from "@tecnavia/react-native-web-analytics";

analytics()
```

## Methods

enabled debug mode on WebView
```js
debugMode(true|false);
```

if you need to send events to multiple instance initialize webmode that will istance a native webview
```js
analytics().initializeWebMode();
```

initialize a web instance of firebase
```js
analytics().addInstance({
    name: INSTANCE_NAME,
    apiKey: FIREBASE_API_KEY,
    appId: FIREBASE_APP_ID,
    projectId: FIREBASE_PROJECT_ID,
    measurementId: FIREBASE_MEASUREMENTE_ID
});
```

## Troubleshooting

1. the web istances must be configured by `addInstance` method, remember that on firebase base must be configured like a web project instead of app project

---
Made with [create-react-native-library](https://github.com/callstack/react-native-builder-bob)
