import type { IFirebaseProject, IGoogleAnalytics4Project, IPageView, IScreenView } from "./models/types";
export declare class WebAnalytics {
    debugMode(enable?: boolean): void;
    initializeWebMode(): Promise<any>;
    logEvent(name: string, params?: {}): Promise<void>;
    logPageView(object: IPageView): Promise<void>;
    logScreenView(object: IScreenView): Promise<void>;
    setUserId(userId?: string): Promise<void>;
    isFirebaseInstance(instance: IGoogleAnalytics4Project | IFirebaseProject): instance is IFirebaseProject;
    addInstance(instance: IGoogleAnalytics4Project | IFirebaseProject): Promise<void>;
    removeInstance(name: string): Promise<void>;
}
//# sourceMappingURL=analytics.d.ts.map